# Dataiku non-ambiguous dates formats, with ISO-8601 dates
# as documented in https://doc.dataiku.com/dss/latest/preparation/dates.html#meanings-and-types:


## Pattern to detect a dataiku ISO_8601 date in UTC:
DATAIKU_ISO_8601_UTC_DATE_PATTERN = ".+Z$"

## Format of a Dataiku ISO_8601 date:
DATAIKU_ISO_8601_DATE_FORMAT_IN_UTC = "%Y-%m-%dT%H:%M:%S.%fZ" # Example: '2013-05-30T15:16:13.764Z'

## Format of a Dataiku ISO_8601 date that has a timezone:
DATAIKU_ISO_8601_DATE_FORMAT_WITH_TIME_ZONE= "%Y-%m-%dT%H:%M:%S.%f%z" # Example: '2013-05-30T15:16:13.764+0200'