# Reducing the segmentation cardinality with RF segments

The matrix below :arrow_down:  is built by combining the information of the **R**ecency (X-axis) and **F**requency (Y-axis) scores information; each combination leads to a specific **RF** segment helping to interpret which kind of customer we are faced with:

![segments-matrix.png](0j3UU1gOn4oN)

We now have 10 segments instead of 25. Like in the [RFM segmentation article](article:13):
- The darker/colder colors represent the worst scores.
- The lighter/warmer colors represent the best scores.

# RF segments usage in the project

## In the flow
The dataset  [fm_segments_identication](dataset:fm_segments_identication) is the one containing the **RF** segments. This one being editable, you can modify the **RF** labeling used in the flow if you need to. 

## In the project's dashboard
### Charts
The [RFM Segmentation dashboard](dashboard:V3bvyr2) (*RFM Analysis (2/2)* )will allow you to analyze the revenue generated by all these customers **RF** segment ([Learn more about dashboard](article:6)).

### Webapp
The [RFM segments explorer](web_app:EY4mlPQ) will let you analyze the **RF** segments found within your data. You will also be able to analyze these segments distributions depending on your customer **M**onetary values ([Learn more about this webapp](article:8)).