# Slide presentation

This final slide includes some univariate and bivariate analysis of the RFM core information (i.e. the customer features we leverage to assess their RFM scoring).

## Days since last transaction distribution
![days_since_last_transaction_distribution.png](6AfaVnidUAt3)
This chart enables users to see how the customers' days since the last transaction are distributed.

## Number of transactions distribution
![number_of_transactions_distributin.png](efiBq4FJv4Zv)
This chart lets you see how the customer's number of transactions is distributed.

## Baskets amounts distribution
![baskets_amounts_distributions.png](Oz0Ohdm64Wzt)
These charts let you see how the customers' basket amounts are distributed.
- Left chart shows the customer's total basket distribution: this is the one that interests you if you defined the **M**onetary value policy ([What is this?](article:39)) as chunking of the customer's total basket amounts.
- Right chart shows the customer's average basket distribution: this is the one that interests you you defined the  **M**onetary value policy ([What is this?](article:39)) as a chunking of the customer's average basket amounts.

## Number of items purchased distribution
![number_of_items_purchased_distribution.png](gUALDQwSQxF9)

These charts let you see how the customers' quantity of items purchased is distributed.
- Left chart shows the customer's total quantity of items purchased distribution: this is the one that interests you if you defined the **M**onetary value policy ([What is this?](article:39)) as chunking of the customer's total basket amounts.
- Right chart shows the customer's average quantity of items purchased distribution: this is the one that interests you you defined the  **M**onetary value policy ([What is this?](article:39)) as a chunking of the customer's average basket amounts.


## Number of transactions VS days since the last transaction
![number_of_transactions_vs_days_since_last_transaction.png](KUlBEAXLhsOl)
This scatter plot lets you see how your RFM score evolves depending on the customer's "number of transactions" and "days since last transaction" information.

## Baskets VS days since the last transaction
![baskets_vs_days_since_last_transaction.png](FdNjvIXfbpmH)
This scatter plot lets you see how your RFM score evolves depending on the customers' "baskets" and "days since last transaction" information.
- Left chart is the one that interests you if you defined the **M**onetary value policy ([What is this?](article:39)) as chunking of the customers' total basket amounts.
- Right chart is the one that interests you you defined the  **M**onetary value policy ([What is this?](article:39)) as a chunking of the customers' average basket amounts.

## Baskets VS number of transactions
![baskets_vs_number_of_transactions.png](rxwbJhp70MgW)
This scatter plot lets you see how your RFM score evolves depending on the customer's "baskets" and "number of transactions" information.
- Left chart is the one that interests you if you defined the **M**onetary value policy ([What is this?](article:39)) as chunking of the customers' total basket amounts.
- Right chart is the one that interests you you defined the  **M**onetary value policy ([What is this?](article:39)) as a chunking of the customers' average basket amounts.

## Baskets VS quantity of items purchased
![baskets_vs_quantity_of_items_purchased.png](2zmiWp5Je0Xz)

This scatter plot lets you see how your RFM score evolves depending on the customers' "baskets" and "quantity of items purchased" information.
- Left chart is the one that interests you if you defined the **M**onetary value policy ([What is this?](article:39)) as chunking of the customers' total basket amounts.
- Right chart is the one that interests you you defined the  **M**onetary value policy ([What is this?](article:39)) as chunking of the customers' average basket amounts.

If you observe a too important linear relationship on this last chart, it is likely that **M**onetary value and **D**ensity are too highly correlated: in such case, **RFM** information is enough for you and you should not give too much importance to the **RFM*D*** scores and segments since customers that spend more are likely to be the ones that buy more.




