# Version 1.2.0 - Upgrade Release - 2024-03-15

- [New] Business rules to label the RFM Segments.
- [New] New branches linked to the RFM Propagation: 
    - RFM propagation transisitons analysis *([Learn more about this branch](article:60))* .
    - RFM propagation feature engineering *([Learn more about this branch](article:61))* .
- [Bug fix] prepare recipe's script in scenario BUILD_TRANSACTIONS_PREPROCESSING: In the step 'Update prepare recipe's script' from the scenario "BUILD_TRANSACTIONS_PREPROCESSING", variable 'transactions_dates_format_app' had a deprecated name (It was 'transactions_dates_format' instead of 'transactions_dates_format_app'.
- [Bug fix] function from_dss_string_date_to_datetime: Modification of the function "from_dss_string_date_to_datetime" (in "python/rfm_segmentation/dates_handling.py") so that it does not lead to issues due to incompatibilities with the 'regex' library.


# Version 1.1.0 - Upgrade Release - 2023-04-26


- Modification of the RFM Scoring method on the RFM Propagation part of the flow:
     - RFM Scoring is now done visually (instead of with a python recipe), in recipe [compute_propagation_customer_rfm_scores](recipe:compute_propagation_customer_rfm_scores), making it possible to score customer's RFM information leveraging SQL or Spark engines.
- Refactoring of project scenarios and flow zones:
    - Scenarios responsible for building flow_zones are now named "build_FlowZoneOfConcern".
    - Flow zones have colors that reflect what they are responsible for (**<span style="color:#28A9DD">blue for inputs</span>**, **<span style="color:#F9BD37">gold yellow for mandatory flow zones</span>**, **<span style="color:#e0c587">brown/dark-yellow for optional flow zones</span>**, **<span style="color:#2BAE5B">green for anything related to learning/scoring</span>**, **<span style="color:#F44334">red for anything related to dashboards and webapps</span>**. Scenarios have tags following these colors. 
    - Python scripts are not anymore used for computing the scenarios to run: everything is now handled with the visual UI, making it easier to follow all scenario runs. 
- Upgrade of the **dku_utils** project library *(Packages used by the business solution on top of the dataiku api)*.
- Google BigQuery integration:
     - The project's application can now connect to BigQuery datasets and build the flow end to end.
     - **⚠️ Note:** Both 'BigQuery' and 'GCS' connections are required to run the application.
- Improvements of the  [RFM Segmentation dashboard](dashboard:V3bvyr2) loading speed:
    - Aggregation of the data used in the charts from slides "RFM Analysis (1/2)" and "RFM Analysis (2/2)".
    - Data is sampled for the slide "EDA" (random sampling of 20 000 records).